> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete v3consumers contracts relationships 



## OpenAPI

````yaml /lumx_openapi.yaml delete /v3/consumers/{userID}/contracts/{contractID}/relationships/{relationship_id}/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/consumers/{userID}/contracts/{contractID}/relationships/{relationship_id}/:
    delete:
      tags:
        - consumers
      operationId: consumers_contracts_relationships_destroy
      parameters:
        - in: path
          name: contractID
          schema:
            type: string
          required: true
        - in: path
          name: relationship_id
          schema:
            type: string
          required: true
        - in: path
          name: userID
          schema:
            type: string
          required: true
      responses:
        '204':
          description: No response body
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorRelationshipDelete'
              examples:
                ValidUntilShouldBeInTheFuture:
                  value:
                    detail: valid_until in the past
                  summary: valid_until should be in the future
                ValidUntilNotTheEndOfTheMonth:
                  value:
                    detail: valid_until not the end of the month
                  summary: valid_until not the end of the month
          description: ''
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundErrorRelationshipDelete'
              examples:
                ContractIDNotFound:
                  value:
                    detail: Contract ID not found in database
                  summary: ContractID Not Found
                RelationshipIdNotFound:
                  value:
                    detail: relationship_id not found in database
                  summary: relationship_id Not Found
          description: ''
components:
  schemas:
    ValidationErrorRelationshipDelete:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    NotFoundErrorRelationshipDelete:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.